import request from '@/utils/request'

// 查询店铺信息列表
// export function listpartner(data) {
//   return request({
//     url: '/system/goodsNotice/list',
//     method: 'post',
//     data: data
//   })
// }
export function listpartner(query) {
  return request({
    url: '/system/goodsNotice/list',
    method: 'post',
    params: query
  })
}


// 查询店铺信息详细
export function getpartner(id) {
  return request({
    url: '/system/partner/' + id,
    method: 'get'
  })
}


// 修改店铺信息
export function updatepartner(data) {
  return request({
    url: '/system/goodsNotice/updateGoodsNotice',
    method: 'put',
    data: data
  })
}
// 查询商品信息列表
export function getInitGoodsManager(query) {
  return request({
    url: '/system/AppWebManagerGoodsController/getInitGoodsManager',
    method: 'get',
    params: query
  })
}
// 查询商品信息列表
export function notice(data) {
  return request({
    url: '/system/goodsNotice/notice',
    method: 'post',
    data: data
  })
}
export function noticeNumber() {
  return request({
    url: '/system/goodsNotice/noticeNumber',
    method: 'post',
  })
}

// 下架调用接口
export function noticedown(data) {
  return request({
    url: '/system/goodsNotice/down',
    method: 'post',
    data: data
  })
}
// 传图调用接口
export function noticeupload(data) {
  return request({
    url: '/system/goodsNotice/upload',
    method: 'post',
    data: data
  })
}
// 更新合作方
export function noticeupdate(data) {
  return request({
    url: '/system/goodsNotice/update',
    method: 'post',
    data: data
  })
}
